package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学科评估对象 b_busi_wish_universities_subjectevaluate
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public class BBusiWishUniversitiesSubjectevaluate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** 轮次ID */
    @Excel(name = "轮次ID")
    private String extTypeId;

    /** 轮次名称 */
    @Excel(name = "轮次名称")
    private String extTypeName;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String code;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String name;

    /** 层级 */
    @Excel(name = "层级")
    private String level;

    /** 排名 */
    @Excel(name = "排名")
    private Long sort;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public BBusiWishUniversitiesSubjectevaluate setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
        return this;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setExtTypeId(String extTypeId) 
    {
        this.extTypeId = extTypeId;
    }

    public String getExtTypeId() 
    {
        return extTypeId;
    }
    public void setExtTypeName(String extTypeName) 
    {
        this.extTypeName = extTypeName;
    }

    public String getExtTypeName() 
    {
        return extTypeName;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("extTypeId", getExtTypeId())
            .append("extTypeName", getExtTypeName())
            .append("code", getCode())
            .append("name", getName())
            .append("level", getLevel())
            .append("sort", getSort())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
